Bug 1330364 - Should update the role name in the prompt on the web console
Summary: Should update the role name in the prompt on the web console
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jessica Forrester
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-26 03:28 UTC by Wei Sun
Modified: 2017-03-08 18:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-19 20:13:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1094 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 3.2 security update 2016-05-20 00:12:27 UTC

Description Wei Sun 2016-04-26 03:28:26 UTC
Description of problem:
In online env,the project admin role name is openshift-online:admin,so on web console,the prompt also should be updated to "oc policy add-role-to-user openshift-online:admin wsun1 -n <projectname>"

Version-Release number of selected component (if applicable):
dev-preview-int

How reproducible:
always

Steps to Reproduce:
1.Login web cosnole
2.Create a project and then access /console page
3.

Actual results:
There is prompt "A project admin can add you as an admin to a project by running the command oc policy add-role-to-user admin wsun1 -n <projectname>"

Expected results:
The prompt should be updated to "A project admin can add you as an admin to a project by running the command oc policy add-role-to-user openshift-online:admin wsun1 -n <projectname>"

Additional info:

Comment 1 Jessica Forrester 2016-04-26 14:32:45 UTC
There is no way for us to know, the right fix is to put in placeholder text like <role> instead of the actual role name.  Should also probably update the message to something like "A project admin can add you to a role in a project by running ..."

Comment 2 Jessica Forrester 2016-04-26 15:13:34 UTC
ose PR for 3.2.0.z branch https://github.com/openshift/ose/pull/188

Comment 3 Wei Sun 2016-05-04 06:07:42 UTC
Checked this bug using the hotfix puddle,the bug has been fixed.
Now on the web console ,the prompt is :
A project admin can add you to a role on a project by running the command oc policy add-role-to-user <role> wsun@redhat.com -n <projectname>

After the fix is merged to Online and the bug is moved to ON_QA,I'll verify it.

Comment 4 Troy Dawson 2016-05-10 16:23:26 UTC
This is in atomic-openshift-3.2.0.43-1.git.0.672599f.el7

Comment 6 Yadan Pei 2016-05-11 05:34:35 UTC
Checked against atomic-openshift-3.2.0.43-1.git.0.672599f.el7

Now the prompt on web console is:

A project admin can add you to a role on a project by running the command oc policy add-role-to-user <role> yapei@redhat.com -n <projectname>

yapei@redhat.com is current user

Comment 7 Yadan Pei 2016-05-11 05:59:18 UTC
Will change product to Atomic Enterprise Platform and OpenShift Enterprise since issue is not specific to Online and changes already merged in OSE

New prompt message is more flexible, user could change <role> based on different envs

Comment 8 Yadan Pei 2016-05-11 05:59:56 UTC
Move to VERIFIED since it works as expected now

Comment 10 errata-xmlrpc 2016-05-19 20:13:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1094


Note You need to log in before you can comment on or make changes to this bug.